package gov.usgs.earthquake.nshmp.netcdf.www;

import gov.usgs.earthquake.nshmp.gmm.Imt;
import gov.usgs.earthquake.nshmp.gmm.NehrpSiteClass;
import gov.usgs.earthquake.nshmp.netcdf.Nshm;
import gov.usgs.earthquake.nshmp.netcdf.www.Metadata.ServiceResponseMetadata;
import gov.usgs.earthquake.nshmp.netcdf.www.Request.RequestData;
import gov.usgs.earthquake.nshmp.netcdf.www.RequestHazardCurves.HazardRequestDataImt;

/**
 * Hazard metadata.
 *
 * @author U.S. Geological Survey
 */
public class HazardMetadata {

  static class HazardResponseMetadata extends ServiceResponseMetadata {
    public final Nshm nshm;
    public final Imt imt;

    HazardResponseMetadata(
        Nshm nshm,
        NehrpSiteClass siteClass,
        Imt imt,
        String xLabel,
        String yLabel) {
      super(siteClass, xLabel, yLabel);
      this.nshm = nshm;
      this.imt = imt;
    }

    @Override
    public HazardRequestDataImt toRequestMetadata(RequestData requestData) {
      return new HazardRequestDataImt(nshm, requestData.site, siteClass, imt, requestData.format);
    }
  }
}
